complexType "GasPhysicalQuantity"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 1 attribute, 6 elements
Defined: | globally in fpml-com-5-5.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | (((physicalQuantity | physicalQuantitySchedule)?, totalPhysicalQuantity) | (minPhysicalQuantity*, maxPhysicalQuantity*, electingParty?))?
</...>

Content Model Elements (6):

  electingParty,
  maxPhysicalQuantity,
  minPhysicalQuantity,
  physicalQuantity (defined in CommodityFixedPhysicalQuantity.model group),
  physicalQuantitySchedule (defined in CommodityFixedPhysicalQuantity.model group),
  totalPhysicalQuantity (defined in CommodityFixedPhysicalQuantity.model group)

All Direct / Indirect Based Elements (1):

  deliveryQuantity (in gasPhysicalLeg)

Known Usage Locations

- As direct type of elements (1):
  deliveryQuantity (in gasPhysicalLeg)

Annotation
The quantity of gas to be delivered.
Type Definition Detail

Type Derivation Tree CommodityPhysicalQuantityBase (extension) GasPhysicalQuantity

XML Source (w/o annotations (6); see within schema source)

<xsd:complexType name="GasPhysicalQuantity"> <xsd:complexContent> <xsd:extension base="CommodityPhysicalQuantityBase"> <xsd:choice minOccurs="0"> <xsd:group ref="CommodityFixedPhysicalQuantity.model"/> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="minPhysicalQuantity" type="CommodityNotionalQuantity"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="maxPhysicalQuantity" type="CommodityNotionalQuantity"/> <xsd:element minOccurs="0" name="electingParty" type="PartyReference"/> </xsd:sequence> </xsd:choice> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/6)
electingParty

  Type: | PartyReference, empty content

  Indicates the party able to choose whether the gas is delivered for a particular period e.g. a swing or interruptible contract.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="electingParty" type="PartyReference"/>

maxPhysicalQuantity

  Type: | CommodityNotionalQuantity, complex content

  The maximum quantity to be delivered. If separate minimums need to be specified for different periods (e.g. a minimum per day and a minimum per month) this element should be repeated.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="maxPhysicalQuantity" type="CommodityNotionalQuantity"/>

minPhysicalQuantity

  Type: | CommodityNotionalQuantity, complex content

  The minimum quantity to be delivered. If separate minimums need to be specified for different periods (e.g. a minimum per day and a minimum per month) this element should be repeated.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="minPhysicalQuantity" type="CommodityNotionalQuantity"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.